petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoView

Prints information about the Tao

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoView(Tao tao, PetscViewer viewer)

Collective on Tao Many br

### InputParameters

| tao | - the Tao context Many br
| viewer | - visualization context Many br

### Options Database Key

-tao_view -Calls TaoView() at the end of TaoSolve() Many br

### Notes

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

Many br

### See Also

PetscViewerASCIIOpen()

Level:beginner
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/minsurf2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1f.F.html
src/tao/bound/examples/tutorials/plate2.c.html
src/tao/leastsquares/examples/tutorials/chwirut1.c.html
src/tao/leastsquares/examples/tutorials/chwirut1f.F.html